Thread (9 messages) flat view 9 messages, 2 authors, 2016-06-15
DORMANTno replies

[PATCH] Fix rebase interactive to allow specifying branch to rebase along with the base

From: Alex Riesen <hidden>
Date: 2016-06-15 22:43:25
Subsystem: the rest · Maintainer: Linus Torvalds

Signed-off-by: Alex Riesen <redacted>
---
 git-rebase--interactive.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Alex Riesen, Wed, Aug 01, 2007 23:45:56 +0200:
    $ git rebase -i base branch
    /usr/local/bin/git-rebase--interactive: 482: cannot create /home/user/projects/tmp/.git/.dotest-merge/output: Directory nonexistent
    cat: /home/user/projects/tmp/.git/.dotest-merge/output: No such file or directory
    Invalid branchname: branch
Oh... Sometimes I can *very* slow. I believe it is as simple as that

 git-rebase--interactive.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 061cd0a..b42dee8 100755
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -404,6 +404,7 @@ do
 		esac
 
 		require_clean_work_tree
+		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 
 		if test ! -z "$2"
 		then
@@ -418,7 +419,6 @@ do
 
 		test -z "$ONTO" && ONTO=$UPSTREAM
 
-		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 		: > "$DOTEST"/interactive || die "Could not mark as interactive"
 		git symbolic-ref HEAD > "$DOTEST"/head-name ||
 			die "Could not get HEAD"
-- 
1.5.3.rc3.123.ge9877
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help